/* CE19 - Circle Spots */

.circle-spots .info-box-item {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    aspect-ratio: 1 / 1;
    min-width: 120px;
    border-radius: 50%;
    background-color: white;
    color: var(--Black);
    padding: 14%;
    box-sizing: border-box;
    text-decoration: none;
}

.circle-spots .info-box-item.is-today:has(.info-box-item-content a) {
    position: relative;
    border-radius: 50%;
}

.circle-spots.ce-color-1 .info-box-item.is-today:has(.info-box-item-content a) {
    animation: pulse-red-to-white 2s infinite;
}

.circle-spots.ce-color-2 .info-box-item.is-today:has(.info-box-item-content a) {
    animation: pulse-white-to-red 2s infinite;
}

.circle-spots.ce-color-3 .info-box-item.is-today:has(.info-box-item-content a) {
    animation: pulse-red-to-white 2s infinite;
}
.circle-spots.ce-color-4 .info-box-item.is-today:has(.info-box-item-content a) {
    animation: pulse-white-to-black 2s infinite;
}


@keyframes pulse-red-to-white {
    0% {
        box-shadow: 0 0 0 0 rgba(var(--RedRGB), 0.7);
    }
    70% {
        box-shadow: 0 0 0 15px rgba(227, 0, 15, 0);
    }
    100% {
        box-shadow: 0 0 0 0 rgba(227, 0, 15, 0);
    }
}

@keyframes pulse-white-to-red {
    0% {
        box-shadow: 0 0 0 0 rgba(var(--WhiteRGB), 0.7);
    }
    70% {
        box-shadow: 0 0 0 15px rgba(var(--DarkgreyRGB), 0);
    }
    100% {
        box-shadow: 0 0 0 0 rgba(var(--DarkgreyRGB), 0);
    }
}

@keyframes pulse-white-to-black {
    0% {
        box-shadow: 0 0 0 0 rgba(var(--WhiteRGB), 0.7);
    }
    70% {
        box-shadow: 0 0 0 15px rgba(var(--BlackRGB), 0);
    }
    100% {
        box-shadow: 0 0 0 0 rgba(var(--BlackRGB), 0);
    }
}


.circle-spots .info-box-item-content {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 100%;
    max-height: 100%;
    text-align: center;
    font-family: sans-serif;
    line-height: 1.2;
}

.circle-spots .info-box-item-content span {
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
    word-break: break-word;
}

.circle-spots .box-grid h3 {margin-bottom: 0;}


.circle-spots .info-box-item:has(.circle-spots-image) {
    position: relative;
    overflow: hidden;
    z-index: 1; /* Basis-Schicht */
}

.circle-spots .circle-spots-image {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover; /* Verhält sich wie background-size: cover */
    z-index: 0;
}


/* CE-Background: White (ce-color-1) */

.circle-spots.ce-color-1 .info-box-item {
    background-color: var(--Red)!important;
    border: 1px solid var(--White);
}


.circle-spots.ce-color-1 .info-box-item .info-box-item-content .ce-text-overline{
    color: var(--White);
}

.circle-spots.ce-color-1 .info-box-item .info-box-item-content h3{
    color: var(--White);
}

.circle-spots.ce-color-1 .info-box-item:has(.info-box-item-content a):hover {
    background-color: var(--White)!important;
    border: 1px solid var(--Red);
    box-shadow: 0px 0px 4px 0px rgba(0, 0, 0, 0.15);
}

.circle-spots.ce-color-1 .info-box-item:has(.info-box-item-content a):hover .ce-text-overline {
    color: var(--Red);
}

.circle-spots.ce-color-1 .info-box-item:has(.info-box-item-content a):hover h3 {
    color: var(--Red);
}




/*


.circle-spots.ce-color-1 .info-box-item:hover .info-box-item-content:has(a) a{
    color: var(--Red)!important;
}
.circle-spots.ce-color-1 .info-box-item:hover .info-box-item-content h3{
    color: var(--Black)!important;
}

.circle-spots.ce-color-1 .info-box-item .info-box-item-content a{
    color: var(--White)!important;
}

.circle-spots.ce-color-1 .info-box-item .info-box-item-content:has(a):hover a{
    color: var(--White)!important;
}
    */

/* CE-Background: Red (ce-color-2) */

.circle-spots.ce-color-2 .btn-primary {
    background-color: white;
    color: var(--Red);
}

.circle-spots .info-box-item-content a {
    text-decoration: none;
    color: var(--Red);
}

/*
.circle-spots .info-box-item-content:has(a):hover {
    opacity: 0.7;
    cursor: pointer;
}

.circle-spots .info-box-item-content:has(a):hover a{
    color: var(--Red)!important;
}
    */

.circle-spots .info-box-item-content .ce-text-overline {
    font-weight: normal;
}

@media(min-width: 0px) {
    .circle-spots .box-grid h3 {font-size: var(--font-size-28);}
}
@media(min-width: 576px) {
    .circle-spots .box-grid-4-cols h3 {font-size: var(--font-size-24); hyphens: auto; text-wrap: balance;}
    .circle-spots .box-grid-5-cols h3 {font-size: var(--font-size-20); hyphens: auto; text-wrap: balance;}
}
@media(min-width: 768px) {}
@media(min-width: 992px) {}
@media(min-width: 1200px) {}
@media(min-width: 1400px) {}
@media(min-width: 1920px) {}

